New Entry/Comment Redirect
02/04/2017 02:59 PM - Beau Harrison

Status: Feedback Start date: 02/04/2017
Priority: Low Due date:

Assignee: % Done: 0%
Category: Server Estimated time: 0.00 hour
Target version: Version 2.0 Spent time: 0.00 hour
Description

If you open a second elog tab and then go back to the first and make a comment on an entry. Once submitted, you are redirected to
the new tab path rather than the current tab path.

History

#1 - 02/14/2017 10:12 AM - Kyle Hazelwood
- Category set to Server
- Status changed from New to Feedback

- Priority changed from Normal to Low

Unfortunately this is the effect of having one commong session for all tabs. To change this would require a lot of work.

#2 - 02/14/2017 04:26 PM - Beau Harrison

| believe all browsers support

document .referrer
and this takes care of the tab instances for you.

Correct me if | misunderstand the issue.

#3 - 02/14/2017 10:28 PM - Kyle Hazelwood

The elog doesn't use the referer header to redirect after form submission. Instead, the form is submitted via ajax and after success it makes another
ajax request to the elog server to query the proper url to redirect to. The url is generated using two things: first, from the saved session (i.e. what the
user has refined when viewing the elog) and second, what needs to be appended or removed from the session to ensure the entry/comment just
edited or submitted will show when the page is redirected (i.e. append the comment or entry anchor tag or make an exception to the users current
selection to show the entry or comment.) Since there is only one session per browser, when the new tab is opened its refinement overwrites the
session and the form submission on the other tab uses the new session data. Also, since there is only one session, using the referer header to
redirect would have the same effect of overwriting the session on the other tab because every time the page is loaded the session is updated.

Sorry for the long winded explanation.

#4 - 12/24/2017 03:58 AM - Beau Harrison

Thanks for the thoughtful explanation.
I'm not sure why the session needs to handle the current location. Is there a specific reason for this? The client can always tell the server what its
location is and then this isn't an issue.
